// gnome.xonotic.in.ua

flareshader-lava
{
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate 12
	}
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -5
	}
}

flareshader-wide
{
	{
		clampmap textures/flares/wide.tga
		blendfunc add
		rgbgen vertex
	}
}

models/mapobjects/cosmoflash/cholder1a
{
	{
		map models/mapobjects/cosmoflash/cholder1a.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

models/mapobjects/cosmoflash/fountain1
{
	q3map_nonplanar
	q3map_shadeangle 89
	{
		map models/mapobjects/cosmoflash/fountain1.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

models/mapobjects/cosmoflash/hand2
{
	{
		map models/mapobjects/cosmoflash/hand2_n1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

models/mapobjects/cosmoflash/menhir1
{
	q3map_nonplanar
	q3map_shadeangle 72
	{
		map textures/cosmo_liquids/plasma_red.tga
		rgbgen wave sin 0.5 0.5 0 .1
	}
	{
		map models/mapobjects/cosmoflash/menhir1.tga
		blendfunc gl_one gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

models/mapobjects/cosmoflash/menhir2
{
	q3map_nonplanar
	q3map_shadeangle 66
	{
		map textures/cosmo_liquids/plasma_red.tga
		rgbgen wave sin 0.5 0.5 0.5 .2
	}
	{
		map models/mapobjects/cosmoflash/menhir2.tga
		blendfunc gl_one gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

models/mapobjects/cosmoflash/torch1
{
	{
		map models/mapobjects/cosmoflash/torch1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/acc_dm5/flame
{
	q3map_flare textures/sfx/flameflare
	qer_editorimage textures/acc_dm5/flame.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/acc_dm5/flame.tga
		tcmod scroll 1 0
		blendfunc blend
	}
	{
		map textures/acc_dm5/flame.tga
		blendfunc blend
		tcmod scroll -.6 0
		rgbgen wave sin 2 0 .1 1.5
	}
}

textures/acc_dm5/woodenbarrier
{
	qer_trans 0.5
	q3map_lightimage textures/acc_dm5/woodenbarrier.tga
	cull none
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/acc_dm5/woodenbarrier.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/pewter_shiney
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/cosmo_block/ns_brick1
{
	{
		map textures/cosmo_block/ns_brick1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_block/ns_brick2
{
	{
		map textures/cosmo_block/ns_brick2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_block/ns_brick2_soft
{
	qer_editorimage textures/cosmo_block/ns_brick2.tga
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map textures/cosmo_block/ns_brick2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_block/ns_brick3
{
	{
		map textures/cosmo_block/ns_brick3.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_block/ns_brick4
{
	{
		map textures/cosmo_block/ns_brick4.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_block/ns_brick5
{
	{
		map textures/cosmo_block/ns_brick5.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_block/ns_brick6
{
	{
		map textures/cosmo_block/ns_brick6.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_floor/bfloor3
{
	{
		map textures/cosmo_floor/bfloor3.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/detail/d_sandy.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 2 2
		detail
	}
}

textures/cosmo_floor/gravel1
{
	qer_editorimage textures/acc_dm5/rust.tga
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphamod dotproduct2 ( 0.0 0.0 1.0 )
	{
		map textures/base_floor/metalbridge06.tga
		rgbgen identity
	}
	{
		map textures/acc_dm5/rust.tga
		alphagen vertex
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/cosmo_light/dmask1_blue
{
	qer_editorimage textures/cosmo_light/dmask1.tga
	surfaceparm nomarks
	q3map_lightimage textures/cosmo_light/dmask1_b.tga
	q3map_surfacelight 2000
	{
		map textures/cosmo_light/dmask1.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/cosmo_light/dmask1_b.tga
		blendfunc add
		rgbgen wave sin 0.25 0.25 0 .25
	}
}

textures/cosmo_light/triangle1
{
	qer_editorimage textures/cosmo_light/triangle1.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/cosmo_light/triangle1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/cosmo_sfx/alpha_000
{
	qer_editorimage textures/common/weapclip.tga
	q3map_alphamod volume
	q3map_alphamod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/cosmo_sfx/cobweb1
{
	qer_editorimage textures/cosmo_sfx/cobweb1.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_nonplanar
	q3map_shadeangle 60
	nopicmip
	{
		map textures/cosmo_sfx/cobweb1.tga
		blendfunc gl_one gl_src_alpha
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		depthwrite
		tcgen lightmap
	}
}

textures/cosmo_sfx/diamond_blue
{
	qer_editorimage textures/cosmo_sfx/diamond_b.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 4500
	{
		map textures/cosmo_sfx/diamond_b.tga
		blendfunc gl_one gl_zero
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc add
		rgbgen vertex
	}
}

textures/cosmo_sfx/dm17_jpad
{
	qer_editorimage textures/cosmo_sfx/e8jumpspawn02red.tga
	surfaceparm nomarks
	surfaceparm metalsteps
	q3map_surfacelight 15000
	{
		clampmap textures/sfx/jc2.tga
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
	{
		map textures/cosmo_sfx/e8jumpspawn02red.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/cosmo_sfx/flag_oa_brown1
{
	qer_editorimage textures/cosmo_sfx/flag_oa_brown1.tga
	surfaceparm nomarks
	surfaceparm alphashadow
	cull none
	{
		map textures/cosmo_sfx/flag_oa_brown1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cosmo_sfx/flag_scimitar_brown1
{
	qer_editorimage textures/cosmo_sfx/flag_scimitar_brown1.tga
	surfaceparm nomarks
	surfaceparm alphashadow
	cull none
	{
		map textures/cosmo_sfx/flag_scimitar_brown1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/cosmo_sfx/orb_b1_1k
{
	qer_editorimage textures/cosmo_sfx/orb_b1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformvertexes autosprite
	q3map_surfacelight 600
	q3map_flare flareshader-wide
	{
		map textures/cosmo_sfx/orb_b1.tga
		blendfunc blend
		rgbgen wave sin 0.85 .15 0 .1
	}
	{
		map textures/cosmo_sfx/orb_b1a.tga
		blendfunc add
		tcmod rotate 15
		rgbgen wave sin 0.5 .15 0 .2
	}
	{
		map textures/cosmo_sfx/orb_b1b.tga
		blendfunc add
		tcmod rotate -25
		rgbgen wave sin 0.75 0.25 0 0.5
	}
}

textures/cosmo_sfx/orb_g1_1k
{
	qer_editorimage textures/cosmo_sfx/orb_g1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformvertexes autosprite
	q3map_surfacelight 600
	q3map_flare flareshader-wide
	{
		map textures/cosmo_sfx/orb_g1.tga
		blendfunc blend
		rgbgen wave sin 0.85 .15 0 .1
	}
	{
		map textures/cosmo_sfx/orb_b1c.tga
		blendfunc add
		tcmod rotate 15
		rgbgen wave sin 0.5 .15 0 .2
	}
	{
		map textures/cosmo_sfx/orb_b1a.tga
		blendfunc add
		tcmod rotate -25
		rgbgen wave sin 0.75 0.25 0 0.5
	}
}

textures/cosmo_sfx/orb_o1_1k
{
	qer_editorimage textures/cosmo_sfx/orb_o1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformvertexes autosprite
	q3map_surfacelight 800
	q3map_flare flareshader-wide
	{
		map textures/cosmo_sfx/orb_o1.tga
		blendfunc blend
		rgbgen wave sin 0.9 .1 0 .1
	}
}

textures/cosmo_sfx/pad_lums
{
	qer_editorimage textures/acc_dm5/fx_lums.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformvertexes autosprite
	{
		map textures/acc_dm5/lum1c.tga
		blendfunc blend
		rgbgen wave sin 1 .5 0 .1
		tcmod scroll -0.15 1.5
		tcmod turb .2 -0.4 0.1 0.2
	}
	{
		map textures/acc_dm5/lum1a.tga
		tcmod scale 1.2 1.2
		blendfunc blend
		rgbgen wave sin 1 .5 0 .1
		tcmod scroll -0.2 0.75
	}
	{
		map textures/acc_dm5/lum1b.tga
		blendfunc blend
		tcmod scale 1 1
		tcmod scroll -0.5 1.1
	}
	{
		map textures/acc_dm5/lum1c.tga
		blendfunc blend
		tcmod scale 1 1
		tcmod scroll 0.5 2.0
		rgbgen wave sin 1 .5 0 .2
		tcmod turb .5 -0.5 0.2 0.2
	}
}

textures/cosmo_sfx/portal_blue
{
	qer_editorimage textures/sfx2/b_blur.tga
	q3map_lightimage textures/sfx2/b_blur.tga
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	polygonoffset
	q3map_surfacelight 75
	cull none
	{
		clampmap textures/sfx2/b_blur.tga
		blendfunc gl_src_alpha gl_one
		tcmod rotate 300
		rgbgen identity
	}
	{
		clampmap textures/sfx/jcb2.tga
		blendfunc add
		tcmod rotate -100
		tcmod stretch sin 1.25 .25 0 0.04
		rgbgen identity
	}
}

textures/cosmo_skies/foghull_or
{
	qer_editorimage textures/cosmo_sfx/fog_or.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( .76 .56 .16 ) 2048
}

textures/cosmo_trim/leaves1
{
	qer_editorimage textures/cosmo_trim/leaves1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	nopicmip
	cull none
	{
		map textures/cosmo_trim/leaves1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cosmo_trim/leaves2
{
	qer_editorimage textures/cosmo_trim/leaves2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	nopicmip
	cull none
	{
		map textures/cosmo_trim/leaves2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cosmo_trim/leaves3
{
	qer_editorimage textures/cosmo_trim/leaves3.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	nopicmip
	cull none
	{
		map textures/cosmo_trim/leaves3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cosmo_trim/leaves4
{
	qer_editorimage textures/cosmo_trim/leaves4.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	nopicmip
	cull none
	{
		map textures/cosmo_trim/leaves4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/e7/e7panelwood2
{
	{
		map textures/e7/e7panelwood2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_wood.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/evil4_walls/drk_brnbrick
{
	{
		map textures/evil4_walls/drk_brnbrick.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_floor/largerblock3b3dim
{
	{
		map textures/gothic_floor/largerblock3b3dim.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 12 12
		detail
	}
}

textures/gothic_floor/metalbridge06
{
	{
		map textures/gothic_floor/metalbridge06.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_trim/border7
{
	{
		map textures/gothic_trim/border7.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	nopicmip
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flameflare
{
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate 57
	}
	{
		clampmap textures/flares/lava.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -95
	}
}

textures/skies/toxicskytim_dm5
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 .78 .48 90 225 55
	q3map_surfacelight 120
	qer_editorimage textures/skies/toxicbluesky.tga
	skyparms env/azlcmb1_bin/eezabad - -
}

